#!/usr/bin/env bash

# activate conda environment
conda activate climax

# move to project repository
cd ~/git/climax

# predictands
# PREDICTAND=(pr tasmin tasmax)
PREDICTAND=(pr)

# iterate over predictands
for predictand in ${PREDICTAND[@]}; do

    # change predictand in configuration
    sed -i "s/PREDICTAND\s*=.*/PREDICTAND='$predictand'/" ./climax/main/config.py

    # define available loss functions for current predictand
    if [ "$predictand" = "pr" ]; then
        LOSS=(L1Loss BernoulliGammaLoss MSELoss)
    else
        LOSS=(L1Loss MSELoss)
    fi

    # iterate over loss functions
    for loss in ${LOSS[@]}; do

        # change loss function in configuration
        if [ "$loss" = "L1Loss" ] || [ "$loss" = "MSELoss" ]; then
    	    sed -i "s/LOSS\s*=.*/LOSS=$loss()/" ./climax/main/config.py
        else
    	    sed -i "s/LOSS\s*=.*/LOSS=$loss(min_amount=1)/" ./climax/main/config.py
        fi

        # run learning rate range test
        python climax/main/lr_range_test.py
    done
done
