#!/bin/bash

# activate conda environment
conda activate climax

# move to project directory
cd ~/git/climax

# source path: input data
SOURCE_PATH='/mnt/CEPH_PROJECTS/SCENARIO/CLIMATEDATA/'

# target path: remapped and cropped target data
TARGET_PATH='/mnt/CEPH_PROJECTS/FACT_CLIMAX/CORDEX'

# target grid
TARGET_GRID='/mnt/CEPH_PROJECTS/FACT_CLIMAX/OBS_DATA/grid_1km_laea'

# path to inventories
TASMIN_INVENTORY='/mnt/CEPH_PROJECTS/FACT_CLIMAX/CORDEX/Inventory/tasmin/tasmin_inventory_selection.csv'
TASMAX_INVENTORY='/mnt/CEPH_PROJECTS/FACT_CLIMAX/CORDEX/Inventory/tasmax/tasmax_inventory_selection.csv'
PR_INVENTORY='/mnt/CEPH_PROJECTS/FACT_CLIMAX/CORDEX/Inventory/pr/pr_inventory_selection.csv'

# preprocess EuroCordex simulations

# tasmin
time python climax/main/preprocess/preprocess_CORDEX.py $TARGET_GRID $SOURCE_PATH $TARGET_PATH -f $TASMIN_INVENTORY -m 'bilinear' -rm -a -o

# tasmax
time python climax/main/preprocess/preprocess_CORDEX.py $TARGET_GRID $SOURCE_PATH $TARGET_PATH -f $TASMAX_INVENTORY -m 'bilinear' -rm -a -o

# pr
time python climax/main/preprocess/preprocess_CORDEX.py $TARGET_GRID $SOURCE_PATH $TARGET_PATH -f $PR_INVENTORY -m 'bilinear' -rm -a -o
