#!/bin/bash

# Options for SLURM sbatch

#SBATCH --job-name=train-climax

#SBATCH --output=train-climax-%j.out

#SBATCH --error=train-climax-%j.err

#SBATCH --partition gpu

#SBATCH --nodes 1

#SBATCH --mem=64G

#SBATCH --gres=gpu:1

#SBATCH --ntasks-per-node=1

source /home/clusterusers/anaconda3/etc/profile.d/conda.sh

# activate required conda environment
conda activate climax

# change to project root directory
cd ~/git/climax

# execute model training
time python climax/main/downscale.py
